@keywords = ();

die if (@ARGV != 1);
open(IN, "< $ARGV[0]") || die;
while (<IN>) {
	next if (! /^\/\*CTL\*\//);
	next if (! /CTL_([A-Z0-9]+),/);
	$t = $1;
	$t =~ tr/A-Z/a-z/;
	push(@keywords, $t);
}
close(IN);

print join(' ', @keywords) . "\n";
